require Orgy.libpath(*%w[orgy org_data])

module Orgy
  # ===OrgHeader  
  # {Org-mode headline}[http://orgmode.org/manual/Headlines.html#Headlines]
  class OrgHeadline < Orgy::OrgData

    # Takes one argument in the form of a string
    def initialize( headline )
      super()
      @data = Hash.new
      @data[:headline] = headline.to_s

      @indent_delimiter = "*"
    end

    # Print headline and its children to a string
    def to_s
      str = ""
      @indent.times{ str << @indent_delimiter }
      str << ' ' << @data[:headline].to_s
      str << super << "\n"
      #if @indent == 1 then str << "\n" end
    end
    
  end
end
