require Orgy.libpath(*%w{orgy org_data_container})

module Orgy
  # ===OrgNumberList
  # {Org-mode ordered lists}[http://orgmode.org/manual/Plain-lists.html#index-lists_002c-ordered-172]
  # Creates a bulleted list of items
  class OrgNumberList < Orgy::OrgDataContainer
    
    # Iterates though the container's objects and prints a single dash before the contained element.
    # Afterwards, it prints the child elements if any
    def to_s
      str = ""
      len = @data[:container].length
      x = 1
      @data[:container].each do | number |
        @indent.times{ str << @indent_delimiter }
        str << "#{x}. " << number.to_s << "\n"
        #if x < len then str << "\n" end 
        x = x + 1
      end
      str << super
    end

  end
end

