require Orgy.libpath(*%w{orgy org_data})

module Orgy
  # === OrgString
  # Contains any plain text data that will need to be passed into an object
  #
  # If you plan on a string containing any child elements in the org file you need to use this class.
  # Otherwise, use a regular string
  class OrgString < OrgData

    # Takes a string
    def initialize string
      super()
      @data[:string] = string.to_s
    end

    # Print the string and any child elements
    def to_s
      @data[:string].to_s << super
    end

  end
end
